.chatbot .modal-dialog{
    position: absolute;
    right: 20px;
    bottom: 10px;
    z-index: 999;
    overflow: auto;
    overflow-y: auto;
    width: 375px; 
}
/* Mobile screen (max-width 768px or adjust as needed) */
@media (max-width: 768px) {
    .chatbot .modal-dialog{
        right: 0;
    }
}


#ChatBotModal .modal-body {
    min-height: 400px;
    max-height: 400px;
    overflow-y: auto;
  }

#ChatBotModal .form{
    padding: 20px 5px;
    overflow-y: auto;
}

#ChatBotModal .form .inbox{
    width: 100%;
    display: flex;
    align-items: baseline;

}

#ChatBotModal .form .inbox .icon{
    height: 32px;
    width: 32px;
    color: #f8f9fa;
    background: #003876;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    font-size: 18px;
}

#ChatBotModal .form .inbox .msg-header{
    max-width: 70%;
    background: white;
    margin-left: 10px;
}

#ChatBotModal .form .inbox .msg-header p{
    color: white;
    background: #003876;
    border-radius: 10px;
    padding: 8px 10px;
    font-size: 14px;
}

#ChatBotModal .modal-footer{
    height: 60px;
    width: 100%;
    background: #efefef;
    border-top: 1px solid #d9d9d9;
    border-radius: 0 0 5px 5px;
    align-items: center;
    justify-content: space-evenly;
    display: inline;
    margin-bottom: 10px;
}

#ChatBotModal .input-data input:focus{
    border-color: #003876;
}

#ChatBotModal .input-data input::placeholder{
    color: #999999;
}

#ChatBotModal .form .user-inbox{
    justify-content: flex-end;
    margin: 13px 0;
}

#ChatBotModal .form .user-inbox .msg-header p{
    color: #333;
    background: #efefef;
}

#ChatBotModal a {
    text-decoration: underline;
}

#ChatBotModal a:not(.link-warning) {
    color: white;
}